# Batch Update Backend Instance Properties - UpdateBackendBatch

## Overview

Batch update ULB backend resource instance (service node) attributes






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateBackendBatch`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **ULBId** | string | ULB Resource ID |**Yes**|
| **Attributes.N.BackendId** | string | ID of the backend resource instance (ULB backend ID, not the resource's own ID) |**Yes**|
| **Attributes.N.Port** | int | Backend resource service port, value range [1-65535] |No|
| **Attributes.N.Weight** | int | The weight of the added backend RS (effective under the weighted round-robin algorithm), the value range is [0-100], the default is 1. |No|
| **Attributes.N.Enabled** | int | Backend Instance Status Switch |No|
| **Attributes.N.IsBackup** | int | Is it a backup 0: primary rs 1: backup rs, default is 0 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **BackendSet** | array[[*BackendMsg*](#backendmsg)] | Return whether the modification to each RS by ULB is successful |No|

#### Data Model


#### BackendMsg

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **BackendId** | string | Resource ID of rs |**Yes**|
| **SubMessage** | string | Modify the message returned by rs |**Yes**|
| **SubRetCode** | int | Modify the return value of rs |**Yes**|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=UpdateBackendBatch
&Region=cn-zj
&ProjectId=qxnMEQbJ
&ULBId=JwydQlVT
&Attribute.N.BackendId=QIFycJkD
&Attribute.N.Port=8
&Attribute.N.Weight=6
&Attribute.N.Enabled=6
&Attribute.N.IsBackup=5
```

### Response Example
    
```json
{
  "Action": "UpdateBackendBatchResponse",
  "BackendSet": [
    {
      "BackendId": "UkRjpQeW",
      "ResourceId": "zApWjpps"
    }
  ],
  "RetCode": 0
}
```





